<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.reqDocUpload.home.title">Req Doc Uploads</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-req-doc-upload" [routerLink]="['/req-doc-upload/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.reqDocUpload.home.createLabel">
            Create a new Req Doc Upload
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="reqDocUploads?.length === 0">
        <span jhiTranslate="tfsBackendApp.reqDocUpload.home.notFound">No reqDocUploads found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="reqDocUploads && reqDocUploads.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.reqDocUpload.pathDoc">Path Doc</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.reqDocUpload.typeDoc">Type Doc</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.reqDocUpload.uploadedAt">Uploaded At</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.reqDocUpload.updatedAt">Updated At</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.reqDocUpload.request">Request</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let reqDocUpload of reqDocUploads ;trackBy: trackId">
                    <td><a [routerLink]="['/req-doc-upload', reqDocUpload.id, 'view']">{{ reqDocUpload.id }}</a></td>
                    <td>{{ reqDocUpload.pathDoc }}</td>
                    <td>{{ reqDocUpload.typeDoc }}</td>
                    <td>{{ reqDocUpload.uploadedAt | date:'mediumDate' }}</td>
                    <td>{{ reqDocUpload.updatedAt | date:'medium' }}</td>
                    <td>
                        <div *ngIf="reqDocUpload.request">
                            <a [routerLink]="['/request', reqDocUpload.request?.id, 'view']" >{{ reqDocUpload.request?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/req-doc-upload', reqDocUpload.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/req-doc-upload', reqDocUpload.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(reqDocUpload)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
